Bug 82819 - kernel freeze loading yenta_socket
kernel freeze loading yenta_socket
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-01-27 03:07 EST by Need Real Name
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from acpidmp (95.59 KB, text/plain)
2003-01-27 03:11 EST, Need Real Name
no flags Details
output of dmidecode (4.42 KB, text/plain)
2003-01-27 03:12 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-01-27 03:07:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.2) Gecko/20021202

Description of problem:
loading yenta_socket on toshiba satellite 1110 noteboot freeze kernel
same on kernel 2.4.18-18.8.0 and 2.4.20-2.21 with enabled ACPI

seems that pcmcia bridge has no assigned interrupts

pcmcia is not usable on thoshiba notebooks
Unabale to install RH8.0 from CD


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.modprobe yenta_socket
2.
3.
    

Actual Results:  console display
PCI: No IRQ known for interrupt pin A of device 02:04.0.
PCI: No IRQ known for interrupt pin B of device 02:04.1.
then ->
kernel freeze

Expected Results:  yenta_socket is loaded

Additional info:

attached dmidecode and acpidmp outputs
Comment 1 Need Real Name 2003-01-27 03:11:18 EST
Created attachment 89616 [details]
output from acpidmp
Comment 2 Need Real Name 2003-01-27 03:12:26 EST
Created attachment 89617 [details]
output of dmidecode
Comment 3 Arjan van de Ven 2003-01-29 08:55:04 EST
does this still happen in 2.4.20-2.27 as is available in rawhide ?
Comment 4 Need Real Name 2003-01-29 14:38:04 EST
With 2.4.20-2.27
Now no kernel dont freeze but module don't load
Jan 29 20:10:12 Maus kernel: Linux Kernel Card Services 3.1.22
Jan 29 20:10:12 Maus kernel:   options:  [pci] [cardbus] [pm]
Jan 29 20:10:12 Maus kernel: PCI: No IRQ known for interrupt pin A of device
02:04.0. Please try using pci=biosirq.
Jan 29 20:10:12 Maus kernel: PCI: No IRQ known for interrupt pin B of device
02:04.1. Please try using pci=biosirq.
Jan 29 20:10:12 Maus kernel: unloading Kernel Card Services

pci=biosirq does no matter

BUT  this kernel do not propper shut down it hangs after doing
killall
when sending SIGTERM last message is
Sending all precesses the TERM signal ...
 
Comment 5 Arjan van de Ven 2003-02-03 10:06:33 EST
reboot hang is a known (and now fixed) other, unrelated bug.
It looks like your bios doesn't provide the proper $PIR table for irq routing to
your cardbus controller..... not a lot we can do about that.
Comment 6 Need Real Name 2003-02-21 15:15:24 EST
adding acpi patch acpi-20021205-2.4.20.diff  to 2.4.20-2.21 will solve the
IRQ routing problem.
This patch applies to the redhat kernel with only one reject in
arch/i386/kernel/io_apic.c failing insert #include <linux/acpi.h>


For toshiba laptops it is also advised to add patch
relaxed-aml.patch  from 
http://home.mn.rr.com/richardsons/toshiba-1115-s103
Comment 7 Bugzilla owner 2004-09-30 11:40:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.